# 0.6.0 Migration Guide

## zero-downtime deployment

- You can now **actually** disable zero-downtime deployments per-app and per-process-type
  - Some config variables have been moved around
    - `DOKKU_CHECKS_ENABLED` has been migrated to `DOKKU_CHECKS_SKIPPED`
    - `DOKKU_CHECKS_DISABLED` is now a thing
    - The values for the above can be a comma-separated list of process-types or the literal string `_all_`
  - See the [updated `checks`](/dokku/checks-examples/) docs for more info

## proxy port mapping

- You can now configure host -> container proxy port mappings
  - The UI is handled by the [proxy](/dokku/proxy/) interface plugin by setting the `DOKKU_PROXY_PORT_MAP` config variable in the format of `scheme:host-port:container-port`. The default `nginx-vhosts` proxy plugin supports both the `http` and `https` schemes.

## calling the dokku binary

- Plugins should *not* call the dokku binary directly. Clients using the `--app` argument are potentially broken, amongst others, when doing so. Instead, please source the `functions` file for a given plugin when attempting to call dokku internal functions. As a result, the following dokku commands are no longer publicly exposed:
 - dokku build
 - dokku receive
 - dokku release
 - dokku tar:build
 - dokku tar:build-locked
 - dokku git:build
 - dokku git:build-locked
